<div class="body">
        <mat-card *ngIf="dest.length === 0">
          <mat-card-subtitle>Nothing found</mat-card-subtitle>
        </mat-card>
        <mat-card class = "card" *ngFor="let destination of dest | paginate : { id : 'list_page',
        itemsPerPage : 5,
        currentPage : page,
        totalItems : totalRecords}; let i = index" style="margin-top:10px;">
          <img class="image" src="{{ destination.icons }}" />
            <mat-card-header>
                <p class="title">{{destination.location}} - {{destination.agency}} </p>
            </mat-card-header>
            <mat-card-content>
                <div class="date">
                  <p>Price: {{destination.price}} {{destination.currency}}
                     Date: {{destination.departure | date}} - {{destination.arrival | date}}</p>
                </div>
                  <p>
                      {{destination.description}}
                  </p>

                  <button class="glyphicon glyphicon-star" id="{{destination._id}}" (click)= "addFavourites(destination)" *ngIf="loginer.logined" [disabled] ="checkFavourites(destination._id)"> </button>

                  <a mat-raised-button href="{{destination.links}}" target="_blank" class="btn">View link</a>
                  <div *ngIf="clickedFav.get(destination._id)" class="alert alert-success" role="alert">
                    You added destination to your favourites successfully!
                  </div>
            </mat-card-content>
        </mat-card>
  <div class="pager">
    <pagination-controls id="list_page" maxSize = "5" directionLinks="true"
    (pageChange)="page = $event">
    </pagination-controls>
  </div>
</div>


